Signing keys
List Workspace Signing Keys
List signing keys for this workspace. Signing keys are used to verify signed payloads.
GET
/
v1
/
{workspace}
/
ws_signing_key
/
List Workspace Signing Keys
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/" \
--header 'Authorization: ServiceToken <SERVICE_TOKEN>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 2,
"limit": 10,
"offset": 0
},
"results": [
{
"id": "ws_signk_exampleId01",
"uid": "signing_key_exampleUid01",
"status": "active",
"allowed_domains": null,
"expiry_at": null,
"created_at": "2026-04-02T19:35:06.513406Z",
"created_by": {
"name": "Example User",
"email": "user@example.com"
},
"rolled_at": null,
"rolled_by": null,
"deleted_at": null,
"deleted_by": null
},
{
"id": "ws_signk_exampleId02",
"uid": "signing_key_exampleUid02",
"status": "rolled",
"allowed_domains": null,
"expiry_at": null,
"created_at": "2024-09-08T16:27:46.700367Z",
"created_by": {
"name": "Example User",
"email": "user@example.com"
},
"rolled_at": "2026-04-02T19:35:06.503029Z",
"rolled_by": {
"name": "Example User",
"email": "user@example.com"
},
"deleted_at": null,
"deleted_by": null
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug (e.g. staging, production).
Was this page helpful?
Previous
Create Signing KeyCreate a signing key for this workspace.
The `private_key_pem` and `private_key_base64` fields are returned **only once** at creation. Store them securely - they cannot be retrieved later.
Only **one active** signing key is allowed per workspace. To replace an existing active key, use the [Roll Workspace Signing Key](#operation/roll-workspace-signing-key) endpoint instead.
Next
⌘I
List Workspace Signing Keys
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/" \
--header 'Authorization: ServiceToken <SERVICE_TOKEN>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/ws_signing_key/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 2,
"limit": 10,
"offset": 0
},
"results": [
{
"id": "ws_signk_exampleId01",
"uid": "signing_key_exampleUid01",
"status": "active",
"allowed_domains": null,
"expiry_at": null,
"created_at": "2026-04-02T19:35:06.513406Z",
"created_by": {
"name": "Example User",
"email": "user@example.com"
},
"rolled_at": null,
"rolled_by": null,
"deleted_at": null,
"deleted_by": null
},
{
"id": "ws_signk_exampleId02",
"uid": "signing_key_exampleUid02",
"status": "rolled",
"allowed_domains": null,
"expiry_at": null,
"created_at": "2024-09-08T16:27:46.700367Z",
"created_by": {
"name": "Example User",
"email": "user@example.com"
},
"rolled_at": "2026-04-02T19:35:06.503029Z",
"rolled_by": {
"name": "Example User",
"email": "user@example.com"
},
"deleted_at": null,
"deleted_by": null
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}